GAWDUMP(1)

NAME
gawdump - ACR/NEMA DICOM PS3 ... GE Advantage Windows to DICOM

SYNOPSIS

gawdump [ -awmr|-awct|-offset filehdr suitehdr examhdr serieshdr imghdr [-lengthpresent] ] inputfilename

DESCRIPTION

gawdump reads the named GE Advantage Windows input file and dumps its contents.

OPTIONS
The dump output goes to standard error.

The basic switches are described in dcintro(1).

The options that select the header layout of the Advantage Windows file are as follows. Note that one must be specified and there is no default.

-awct
    The input file is a CT.

-awmr
    The input file is an MR.

-offset filehdr suitehdr examhdr serieshdr imghdr
    The input file layout is explicitly specified by the byte offsets from 0 to the corresponding header.

-lengthpresent
    The image pixel data is preceded by a 4 byte length field that should be skipped. This is only usually encountered with Genesis DAT and tape formats, and hasn't been encountered with Advantage Windows formats. Only valid when the offsets are explicitly specified.

ENVIRONMENT

EXAMPLES

% gawdump -awct test
[block:offset] Description <value>
 ...

FILES

SEE ALSO
dcintro(1), gawtodc(1), gendump(1), gentodc(1)

AUTHOR
Copyright (c) 1993-2022, David A. Clunie DBA PixelMed Publishing. All rights reserved.

BUGS
The header layout was derived by guesswork by comparing the known Genesis layout to the similar Advantage Windows layout, but may not be reliable.